stages:
- build
- deploy
build:
  image: node:16.14.2
  stage: build
  script:
    -CI=false yarn install
    -CI=false yarn build
  only:
    - main
  artifacts:
    paths:
      - build/
pages:
  image: alpine:latest
  stage: deploy
  variables:
    GIT_STRATEGY: none
  script:
    - mv build public
  only:
    - main
  artifacts:
    paths:
      - public
